#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-6tZekCVyMg46nrRiC1l6DM
key: crypto-pubkey-0.2.8-6tZekCVyMg46nrRiC1l6DM
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 3461fa3eb30f5d8db41b24f5b656369f
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-6tZekCVyMg46nrRiC1l6DM
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL
    crypto-random-0.0.9-BSBdxr3ffHM5Kvff2mhYOO
    crypto-pubkey-types-0.4.3-Det0McEnse4DTRxDdjZX10
    cryptohash-0.11.9-HSjxgX00QKkGkPjoNui0H
    crypto-numbers-0.2.7-7WtRkvbGzTo1MyyDy59BVI
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL=d7caed3dfdc2cc9400ff9a46cbe7296d
             crypto-random-0.0.9-BSBdxr3ffHM5Kvff2mhYOO=4e647e851f2b57f37640375a5a22b78f
             crypto-pubkey-types-0.4.3-Det0McEnse4DTRxDdjZX10=2507138e3fe8a48b51e5c9777aee361e
             cryptohash-0.11.9-HSjxgX00QKkGkPjoNui0H=6e04fc5a741e797dcbf7b7aed92875f8
             crypto-numbers-0.2.7-7WtRkvbGzTo1MyyDy59BVI=f50cf9b58d89df402c0a31fd1246d261
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

